'''Costants module.
'''
import os
import myDataloader
import PW15_variables as customVariables
import pygame
pygame.font.init()

#fonts
CUSTOMFONT='DejaVuSerifCondensed.ttf'

#events
DEBUG_MODE=pygame.USEREVENT+2
TOGGLE_AUDIO=pygame.USEREVENT+3

#costants
FPS = customVariables.fps #screen flips per seconds
FPS_ANIMATIONS=FPS/5#number of flips before changing frames of animation
DEFAULT_SCREEN_SIZE = customVariables.window_size

#level ID
SPLASHSCREEN=-4
GAMEOVER=-3
TITLESCREEN=-2
GAMEINTRO=-1 #story
LEVELSELECT=0
LEVEL1=1 #from 1 to numOfLevels
numOfLevels=len(os.listdir(myDataloader.levels_dir))
YOUWIN=numOfLevels+1
CREDITS=numOfLevels+2
#any exception will jump to TITLESCREEN

